From: Alexander Mikhaylenko <alexander.mikhaylenko@puri.sm>
Date: Thu, 22 Apr 2021 18:52:59 +0500
Subject: account-page-enterprise: Make adaptive

---
 .../pages/account/gis-account-page-enterprise.c    | 41 ++++++++++++++++++++++
 .../pages/account/gis-account-page-enterprise.ui   | 35 +++++++++---------
 2 files changed, 57 insertions(+), 19 deletions(-)

diff --git a/gnome-initial-setup/pages/account/gis-account-page-enterprise.c b/gnome-initial-setup/pages/account/gis-account-page-enterprise.c
index 52df9a3..dceb4ec 100644
--- a/gnome-initial-setup/pages/account/gis-account-page-enterprise.c
+++ b/gnome-initial-setup/pages/account/gis-account-page-enterprise.c
@@ -47,6 +47,18 @@ static void        on_realm_joined     (GObject *source,
 
 struct _GisAccountPageEnterprisePrivate
 {
+  GtkWidget *form;
+  GtkWidget *label4;
+  GtkWidget *label8;
+  GtkWidget *label9;
+  GtkWidget *filler;
+
+  GtkWidget *grid1;
+  GtkWidget *label13;
+  GtkWidget *label14;
+  GtkWidget *label15;
+  GtkWidget *label18;
+
   GtkWidget *header;
   GtkWidget *login;
   GtkWidget *password;
@@ -760,6 +772,23 @@ gis_account_page_enterprise_realize (GtkWidget *widget)
                           priv->header, "show-icon",
                           G_BINDING_SYNC_CREATE | G_BINDING_INVERT_BOOLEAN);
 
+  g_object_bind_property (gis_page, "small-screen",
+                          priv->filler, "visible",
+                          G_BINDING_SYNC_CREATE | G_BINDING_INVERT_BOOLEAN);
+
+  g_object_bind_property (gis_page, "small-screen",
+                          priv->join_dialog, "resizable",
+                          G_BINDING_SYNC_CREATE);
+
+  gis_page_setup_adaptive_label (GIS_PAGE (gis_page), priv->form, priv->label4);
+  gis_page_setup_adaptive_label (GIS_PAGE (gis_page), priv->form, priv->label8);
+  gis_page_setup_adaptive_label (GIS_PAGE (gis_page), priv->form, priv->label9);
+
+  gis_page_setup_adaptive_label (GIS_PAGE (gis_page), priv->grid1, priv->label13);
+  gis_page_setup_adaptive_label (GIS_PAGE (gis_page), priv->grid1, priv->label14);
+  gis_page_setup_adaptive_label (GIS_PAGE (gis_page), priv->grid1, priv->label15);
+  gis_page_setup_adaptive_label (GIS_PAGE (gis_page), priv->grid1, priv->label18);
+
   GTK_WIDGET_CLASS (gis_account_page_enterprise_parent_class)->realize (widget);
 }
 
@@ -819,6 +848,18 @@ gis_account_page_enterprise_class_init (GisAccountPageEnterpriseClass *klass)
 
   gtk_widget_class_set_template_from_resource (GTK_WIDGET_CLASS (klass), "/org/gnome/initial-setup/gis-account-page-enterprise.ui");
 
+  gtk_widget_class_bind_template_child_private (GTK_WIDGET_CLASS (klass), GisAccountPageEnterprise, form);
+  gtk_widget_class_bind_template_child_private (GTK_WIDGET_CLASS (klass), GisAccountPageEnterprise, label4);
+  gtk_widget_class_bind_template_child_private (GTK_WIDGET_CLASS (klass), GisAccountPageEnterprise, label8);
+  gtk_widget_class_bind_template_child_private (GTK_WIDGET_CLASS (klass), GisAccountPageEnterprise, label9);
+  gtk_widget_class_bind_template_child_private (GTK_WIDGET_CLASS (klass), GisAccountPageEnterprise, filler);
+
+  gtk_widget_class_bind_template_child_private (GTK_WIDGET_CLASS (klass), GisAccountPageEnterprise, grid1);
+  gtk_widget_class_bind_template_child_private (GTK_WIDGET_CLASS (klass), GisAccountPageEnterprise, label13);
+  gtk_widget_class_bind_template_child_private (GTK_WIDGET_CLASS (klass), GisAccountPageEnterprise, label14);
+  gtk_widget_class_bind_template_child_private (GTK_WIDGET_CLASS (klass), GisAccountPageEnterprise, label15);
+  gtk_widget_class_bind_template_child_private (GTK_WIDGET_CLASS (klass), GisAccountPageEnterprise, label18);
+
   gtk_widget_class_bind_template_child_private (GTK_WIDGET_CLASS (klass), GisAccountPageEnterprise, login);
   gtk_widget_class_bind_template_child_private (GTK_WIDGET_CLASS (klass), GisAccountPageEnterprise, password);
   gtk_widget_class_bind_template_child_private (GTK_WIDGET_CLASS (klass), GisAccountPageEnterprise, domain);
diff --git a/gnome-initial-setup/pages/account/gis-account-page-enterprise.ui b/gnome-initial-setup/pages/account/gis-account-page-enterprise.ui
index 5432e55..c341fd8 100644
--- a/gnome-initial-setup/pages/account/gis-account-page-enterprise.ui
+++ b/gnome-initial-setup/pages/account/gis-account-page-enterprise.ui
@@ -24,7 +24,7 @@
           <object class="GtkGrid" id="form">
             <property name="visible">True</property>
             <property name="can_focus">False</property>
-            <property name="row_spacing">12</property>
+            <property name="row_spacing">6</property>
             <property name="column_spacing">12</property>
             <property name="margin_bottom">32</property>
             <child>
@@ -56,7 +56,7 @@
               </object>
               <packing>
                 <property name="left_attach">0</property>
-                <property name="top_attach">3</property>
+                <property name="top_attach">4</property>
                 <property name="width">1</property>
                 <property name="height">1</property>
               </packing>
@@ -73,7 +73,7 @@
               </object>
               <packing>
                 <property name="left_attach">0</property>
-                <property name="top_attach">4</property>
+                <property name="top_attach">6</property>
                 <property name="width">1</property>
                 <property name="height">1</property>
               </packing>
@@ -86,11 +86,11 @@
                 <property name="invisible_char">●</property>
                 <property name="invisible_char_set">True</property>
                 <property name="max-length">255</property>
-                <property name="width-chars">25</property>
+                <property name="margin-bottom">6</property>
               </object>
               <packing>
                 <property name="left_attach">1</property>
-                <property name="top_attach">3</property>
+                <property name="top_attach">4</property>
                 <property name="width">1</property>
                 <property name="height">1</property>
               </packing>
@@ -105,11 +105,10 @@
                 <property name="activates_default">True</property>
                 <property name="invisible_char_set">True</property>
                 <property name="max-length">255</property>
-                <property name="width-chars">25</property>
               </object>
               <packing>
                 <property name="left_attach">1</property>
-                <property name="top_attach">4</property>
+                <property name="top_attach">6</property>
                 <property name="width">1</property>
                 <property name="height">1</property>
               </packing>
@@ -126,7 +125,6 @@
                   <object class="GtkEntry" id="domain_entry">
                     <property name="can_focus">True</property>
                     <property name="max-length">255</property>
-                    <property name="width-chars">25</property>
                   </object>
                 </child>
               </object>
@@ -141,7 +139,7 @@
               <object class="GtkLabel" id="label10">
                 <property name="visible">True</property>
                 <property name="can_focus">False</property>
-                <property name="margin_bottom">12</property>
+                <property name="margin_bottom">24</property>
                 <property name="xalign">0</property>
                 <property name="label" translatable="yes">Enterprise domain or realm name</property>
                 <attributes>
@@ -162,7 +160,7 @@
               </object>
               <packing>
                 <property name="left_attach">2</property>
-                <property name="top_attach">4</property>
+                <property name="top_attach">6</property>
                 <property name="width">1</property>
                 <property name="height">1</property>
               </packing>
@@ -275,7 +273,6 @@
               <object class="GtkGrid" id="grid1">
                 <property name="visible">True</property>
                 <property name="can_focus">False</property>
-                <property name="margin_left">12</property>
                 <property name="hexpand">True</property>
                 <property name="row_spacing">6</property>
                 <property name="column_spacing">12</property>
@@ -293,7 +290,7 @@
                   </object>
                   <packing>
                     <property name="left_attach">0</property>
-                    <property name="top_attach">0</property>
+                    <property name="top_attach">1</property>
                     <property name="width">1</property>
                     <property name="height">1</property>
                   </packing>
@@ -308,7 +305,7 @@
                   </object>
                   <packing>
                     <property name="left_attach">1</property>
-                    <property name="top_attach">0</property>
+                    <property name="top_attach">1</property>
                     <property name="width">1</property>
                     <property name="height">1</property>
                   </packing>
@@ -327,7 +324,7 @@
                   </object>
                   <packing>
                     <property name="left_attach">0</property>
-                    <property name="top_attach">1</property>
+                    <property name="top_attach">3</property>
                     <property name="width">1</property>
                     <property name="height">1</property>
                   </packing>
@@ -340,7 +337,7 @@
                   </object>
                   <packing>
                     <property name="left_attach">1</property>
-                    <property name="top_attach">1</property>
+                    <property name="top_attach">3</property>
                     <property name="width">1</property>
                     <property name="height">1</property>
                   </packing>
@@ -359,7 +356,7 @@
                   </object>
                   <packing>
                     <property name="left_attach">0</property>
-                    <property name="top_attach">2</property>
+                    <property name="top_attach">5</property>
                     <property name="width">1</property>
                     <property name="height">1</property>
                   </packing>
@@ -374,7 +371,7 @@
                   </object>
                   <packing>
                     <property name="left_attach">1</property>
-                    <property name="top_attach">2</property>
+                    <property name="top_attach">5</property>
                     <property name="width">1</property>
                     <property name="height">1</property>
                   </packing>
@@ -393,7 +390,7 @@
                   </object>
                   <packing>
                     <property name="left_attach">0</property>
-                    <property name="top_attach">3</property>
+                    <property name="top_attach">7</property>
                     <property name="width">1</property>
                     <property name="height">1</property>
                   </packing>
@@ -410,7 +407,7 @@
                   </object>
                   <packing>
                     <property name="left_attach">1</property>
-                    <property name="top_attach">3</property>
+                    <property name="top_attach">7</property>
                     <property name="width">1</property>
                     <property name="height">1</property>
                   </packing>
